
* cleaning of data sets for Tete

cd C:\data\statadata\dm\moz

* 1. Household data set

use tet_base_hh_label

* GPS 
* go through all variables using "tabulate" or "sum" to check for completeness and errors
* correct where possible and meaningful

* there are some latitude and longitude valuaes with missing decimal point or wrong entry
* these are changed manually in the editor

replace lati=lati*(-1)

* education and hhousehold assets

replace readwrite=9 if readwrite==. & hhstat==1

replace room=1 if room==0 & sroom==1

replace radio=0 if radio==. & hhstat==1
replace tv=0 if tv==.
replace fridge=0 if fridge==.
replace fan=0 if fan==. & hhstat==1
replace iron=0 if iron==. & hhstat==1
replace mobile=0 if mobile==. & hhstat==1
replace smart=0 if smart==. & hhstat==1
replace computer=1 if computer==. & hhstat==1

replace bici=0 if bici==. & hhstat==1
replace moto=0 if moto==. & hhstat==1
replace car=0 if car==. & hhstat==1
replace animaltr=0 if animaltr==. & hhstat==1
replace boat=0 if boat==. & hhstat==1
replace chick=0 if chick==. & hhstat==1
replace goat=0 if goat==. & hhstat==1

replace land=0 if land==. & hhstat==1
replace hectar=99.9 if hectar>85 & hectar<1000

* mosquito nets

replace  many=0 if anynet==0
replace numgotc2=0 if numgotc2==. & hhstat==1
replace getneto=0 if getneto==. & hhstat==1
replace numgeto=0 if numgeto==. & hhstat==1
replace getanc=0 if getanc==. & hhstat==1
replace gethf=0 if gethf==. & hhstat==1
replace getrel=0 if getrel==. & hhstat==1
replace getshop=0 if getshop==. & hhstat==1
replace getmarket=0 if getmarket==. & hhstat==1

* BCC

replace meschw=0 if meschw==. & anymes==1
replace mesradio=0 if mesradio==. & anymes==1
replace messong=0 if messong==. & anymes==1
replace mesdrama=0 if mesdrama==. & anymes==1
replace meshw=0 if meshw==. & anymes==1
replace meslead=0 if meslead==. & anymes==1
replace mestown=0 if mestown==. & anymes==1
replace messhop=0 if messhop==. & anymes==1
replace mesfam=0 if mesfam==. & anymes==1
replace mesfaith=0 if mesfaith==. & anymes==1
replace mesnews=0 if mesnews==. & anymes==1

replace rcuse=0 if rcuse==. & anymes==1
replace rccare=0 if rccare==. & anymes==1
replace rchang=0 if rchang==. & anymes==1
replace rcevery=0 if rcevery==. & anymes==1
replace rcprev=0 if rcprev==. & anymes==1
replace rcrep=0 if rcrep==. & anymes==1

* net care& repair

replace tear=0 if tear==. & everhole==1
replace corner=0 if corner==. & everhole==1
replace burn=0 if burn==. & everhole==1
replace rats=0 if rats==. & everhole==1
replace holeoth=0 if holeoth==. & everhole==1

replace dochild=0 if dochild==. & hhstat==1
replace dopest=0 if dopest==. & hhstat==1
replace dotie=0 if dotie==. & hhstat==1
replace dohandle=0 if dohandle==. & hhstat==1
replace donofood=0 if donofood==. & hhstat==1
replace dofire=0 if dofire==. & hhstat==1
replace dogentle=0 if dogentle==. & hhstat==1
replace dowash=0 if dowash==. & hhstat==1
replace doinsp=0 if doinsp==. & hhstat==1
replace doearly=0 if doearly==. & hhstat==1
replace doimposs=0 if doimposs==. & hhstat==1
replace donothing=0 if donothing==. & hhstat==1
replace dooth=0 if dooth==. & hhstat==1

replace wgentle=0 if wgentle==. & hhstat==1
replace wbasin=0 if wbasin==. & hhstat==1
replace wsoap=0 if wsoap==. & hhstat==1
replace wdirty=0 if wdirty==. & hhstat==1
replace wfreq=0 if wfreq==. & hhstat==1
replace wstream=0 if wstream==. & hhstat==1
replace woth=0 if woth==. & hhstat==1

replace lostc=0 if nlostc==0 & lostc==1
replace have=. if lostc==0

save tet_base_hh_clean, replace

* 2. household member file

use tet_base_ind_label

drop if name=="" & rel==. & sex==.

save tet_base_ind_clean, replace

* 3 campaign nets file

use tet_base_cnet_label

drop if cnetid==. & loc==. & uselast==.

replace magnet=1 if magnet==0 & cnetid!=.
replace magnet=0 if magnet==. & cnetid==.
replace magnet=0 if magnet==1 & cnetid==.

replace ccol=3 if royal==1 & cnetid!=. & ccol!=3

replace confc=1 if cnetid!=.
replace confc=1 if cnetid==. & magnet==0

replace uselast=0 if uselast==. & freq==5
replace uselast=1 if uselast==. & freq==1

replace useinf=0 if useinf==. & uselast==1
replace useych=0 if useych==. & uselast==1
replace useoch=0 if useoch==. & uselast==1
replace useado=0 if useado==. & uselast==1
replace useadu=0 if useadu==. & uselast==1

replace wash=9 if wash==.

replace times=. if times==0

replace everh=0 if everh==. & (size1==0 & size2==0 & size3==0 & size4==0)
replace everh=1 if (size1>0 | size2>0 | size3>0 | size4>0)
replace everh=0 if everh==1 & (size1==0 & size2==0 & size3==0 & size4==0)

replace modify=9 if modify==.

save tet_base_cnet_clean, replace

* 4. non-campaign nets file

use tet_base_ncnet_label

drop if seen==. & brand==. & source==. & loc==. 
replace seen=0 if seen==.

replace brand=10 if brand==.

replace dip=0 if dip==.

replace source=14 if source==.

replace pay=9 if pay==.

replace useinf=0 if useinf==. & uselast==1
replace useych=0 if useych==. & uselast==1
replace useoch=0 if useoch==. & uselast==1
replace useado=0 if useado==. & uselast==1
replace useadu=0 if useadu==. & uselast==1

replace freq=9 if freq==.

replace wash=9 if wash==.
replace times=. if times==0
replace wash=1 if times!=. & wash==0

save tet_base_ncnet_clean, replace

