
* DM baseline Moz analysis for tables and graphs

* change to directionary of data files

cd G:\data\statadata\dm\moz\final

set more off

* TABLE 1

* number of clusters per site
* can be taken from data entry records, but if you want to calculate it, 
* here is a way to do it

use moz_base_hh_final_anonym

gen rec=1
collapse (mean) rec prov, by(clus)

tab rec prov

clear

* number of households

use moz_base_hh_final_anonym

tab prov

* number of campaign nets

use moz_base_cnet_final_anonym

tab confc prov

*******************************************************************

* TABLE 2

* mean household size

use moz_base_hh_final_anonym

svy: mean person
svy: mean person, over(prov)

* mean age of head

svy: mean hhage
svy: mean hhage, over(prov)

* hh with gemale head

svy: tab hhsex prov, col perc ci

* proportion of children under five

use moz_base_ind_final_anonym

svy: tab u5 prov, col perc ci

********************************************************************

* TABLE 3

* houses with sheets/tiles roof

use moz_base_hh_final_anonym

svy: tab roof prov, col perc ci

* cooking fuel (firewood)

svy: tab cook prov, col perc ci

* access to safe water

gen safewater=watergr==2 | watergr==3

svy:tab safewater prov, col perc ci

* access to any latrine

gen anylatr=latrgr>1 & latrgr<4
svy: tab anylatr prov, col perc ci

clear

*********************************************************************

* TABLE 4

* ownership of radio

use moz_base_hh_final_anonym

svy: tab radio prov, col perc ci

* ownership of mobile phone

svy: tab mobile prov, col perc ci

* any transport

svy: tab anytrans prov, col perc ci

* any livestock

svy: tab anyanim prov, col perc ci

***********************************************************************

* FIGURE 2

svy: tab mobile ses if prov==1, col perc ci
svy: tab mobile ses if prov==2, col perc ci
svy: tab mobile ses if prov==3, col perc ci

************************************************************************

* TABLE 5

* food stored in sleeping room

svy: tab storefood prov, col perc ci

* cooking in sleeping room

svy: tab slpcook prov, col perc ci

* observed traces of mice or rats last 6 months

svy: tab rodent prov, col perc ci

****************************************************************************

* TABLE 6

* Campaign (cohort) nets folded or tied if hanging

use moz_base_cnet_final_anonym

svy: tab loc prov if loc<3, col perc ci 

* nets dried on bush or fence

svy: tab dried prov, col perc ci

* nets ever washed

svy: tab wash prov, col perc ci

* median washed if washed

univar times if wash==1
byvar prov: univar times if wash==1

* the "univar" command is not a standard Stata command but can be downloaded
* by typing "findit univar" in the command window and then following the link

* alternatively

sort prov
sum times if wash==1, detail
by prov: sum times if wash==1, detail

* use of detergent for washing

svy: tab soap prov, col perc ci

******************************************************************************

* TABLE 7

* any exposure to messages on net use, care and repair

use moz_base_hh_final_anonym

svy: tab anymes prov, col perc ci

* any exposure to messages by wealth tertiles

svy: tab anymes ses if prov==1, col perc ci
svy: tab anymes ses if prov==2, col perc ci
svy: tab anymes ses if prov==3, col perc ci
svy: tab anymes ses, col perc ci
  
********************************************************************************

* FIGURE 4

* messages recalled

* use net or use net every day
svy: tab rcuse2 prov if anymes==1, col perc

* care for your net
svy: tab rccare prov if anymes==1, col perc

* hang your net
svy: tab rchang prov if anymes==1, col perc

* nets prevent malaria
svy: tab rcprev prov if anymes==1, col perc

* repair your net
svy: tab rcrep prov if anymes==1, col perc

********************************************************************************

* TABLE 8

* mean net attitude score

svy: mean nattscore
svy: mean nattscore, over(prov)

* proportion with positive net attitude score

svy: tab nattgr prov, col perc ci

* mean care & repair attitude score

svy: mean crattscore
svy: mean crattscore, over(prov)

* proportion with positive care & repare attitude score

svy: tab crattgr prov, col perc ci

********************************************************************************

* TABLE 9

use moz_base_hh_final_anonym

* ever had net with holes
svy: tab everhole prov, col perc ci

* ever discussed net care & repair
svy: tab discuss prov, col perc ci

* ever repaired holes if had any nets with holes
svy: tab everrep prov, col perc ci

********************************************************************************

* FIGURE 5

* main reported reasons for net damage if HH ever had holes in nets

use moz_base_hh_final_anonym

svy: tab tear prov, col perc ci obs
svy: tab corner prov, col perc ci obs
svy: tab burn prov, col perc ci obs
svy: tab rats prov, col perc ci obs
svy: tab holeoth prov, col perc ci obs


********************************************************************************

* TABLE 10

use moz_base_cnet_final_anonym

* cohort nets hanging

svy: tab hang prov, col perc ci

* cohort nets still in package

svy: tab loc prov, col perc ci

* used last night

svy: tab uselast prov, col perc ci

* used every night last week

gen every=freq==1
svy: tab every prov, col perc ci
clear

********************************************************************************

* FIGURE 6

* type of sleeping place used is net used

use moz_base_cnet_final_anonym

svy: tab splacegr prov if splacegr<4, col perc ci

********************************************************************************

* TABLE 11

* net users cohort nets

svy: tab usegr2 prov, col perc ci

* net users non-cohort nets

use moz_base_ncnet_final_anonym

svy: tab usegr2 prov, col perc ci obs

********************************************************************************

* TABLE 12

* households with any non-campaign net

use moz_base_hh_final_anonym

svy: tab anyncnet prov, col perc ci

* source is public sector

svy: tab anypub_ncnet prov, col perc ci

* source is private sector

svy: tab anypriv prov, col perc ci

* source is family/friends, NGO etc.

svy: tab anyosource prov, col perc ci

********************************************************************************

* TABLE 13

* households with at least one ITN for every two people (de-jure)

svy: tab p2itn prov, col perc ci

* population with access to ITN in household

use moz_base_ind_final_anonym

svy: tab access prov, col perc ci

********************************************************************************

* TABLE 14

* mean time since campaign

use moz_base_cnet_final_anonym

svy: mean tdistr
svy: mean tdistr, over(prov)

* attrition

* for the baseline attrition has to be calculated manually
* denominator is the total number of campaign nets reported received by site
* numerator is the number of campaign nets reported no longer used for sleeping

use moz_base_hh_final_anonym

egen sumgotc=sum(numgotc), by(prov)
tab sumgotc prov
clear 	

use moz_base_lostc

tab netstat prov

* calculate overall attrition rates (replace numbers as adequate)

cii prop 1004 11 // in version 13 or earlier of Stata drop the "prop" part
cii prop 620 18
cii prop 735 19
cii prop 2359 48

* attrition due to giving away nets

tab given prov

cii prop 1004 10
cii prop 620 15
cii prop 735 19
cii prop 2359 44

* attrition due to discarding (wear and tear)

tab discard prov

cii prop 1004 0
cii prop 620 0
cii prop 735 0
cii prop 2359 0

********************************************************************************

* TABLE 15

* ccohort nets with any hole

use moz_base_cnet_final_anonym

svy: tab anyhole prov, col perc ci

* median pHI if any hole 

sum phiw if anyhole==1, detail
sum phiw if anyhole==1 & prov==1, detail
sum phiw if anyhole==1 & prov==2, detail
sum phiw if anyhole==1 & prov==3, detail

* cohort nets in good condition

svy: tab good prov, col perc ci

* cohort nets too torn

svy: tab torn prov, col perc ci

* cohort nets in serviceable condition

svy: tab serv prov, col perc ci

********************************************************************************

* TABLE 16

* If there is some attrition due to wear and tear (discarded nets) 
* the survival rate has to be calculated manually (e.g. using the tool: 
* "Tool net survival with recall bias adjustment1.0" which is found in the
* VectorWorks durability tool kit at www.durabilitymonitoring.org

* If there is no attrition due to wear and tear, survival is equal to 
* the proportion of cohort nets in serviceable condition (see above)

* only nets ever used (if survival=serviceable)

svy: tab serv prov if freq!=5, col perc ci

********************************************************************************



